



# Calculate median productivity in mono-cultures for each replicate
list.rep <- unique(DropletsF2$BiologicalRep)

list.medians.PPU <- plyr::ldply(list.rep, function(r) {
  bio_rep <- r
  median.PPU <- median(DropletsF2[which(DropletsF2$Timepoint == 'T24' & DropletsF2$Condition == 'PPU' & DropletsF2$NbSpecies != 'medium'  & DropletsF2$BiologicalRep == r & DropletsF2$Fluo2Sum > threshold_PPU), 'Fluo2Sum'])
  df <- data.frame('BiologicalRep' = bio_rep,
                   'Median_PPU_mono' = median.PPU)
})

list.medians.PVE <- plyr::ldply(list.rep, function(r) {
  bio_rep <- r
  median.PVE <- median(DropletsF2[which(DropletsF2$Timepoint == 'T24' & DropletsF2$Condition == 'PVE'  & DropletsF2$NbSpecies != 'medium' & DropletsF2$BiologicalRep == r & DropletsF2$Fluo1Sum > threshold_PVE), 'Fluo1Sum'])
  df <- data.frame('BiologicalRep' = bio_rep,
                   'Median_PVE_mono' = median.PVE)
})

# Normalize fluorescent signal for each replicate by the median
# of mono-cultures
# Normalize productivity by biological replicate
DropletsF2 <- DropletsF2 %>%
  left_join(list.medians.PPU, by = "BiologicalRep") %>%
  mutate(norm_fluo2 = Fluo2Sum / Median_PPU_mono)
DropletsF2 <- DropletsF2 %>%
  left_join(list.medians.PVE, by = "BiologicalRep") %>%
  mutate(norm_fluo1 = Fluo1Sum / Median_PVE_mono)


